<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../../Conections/$VpnEn.php");
require('../fpdf.php');

$Cve_Modulo = "CMOD201506100112";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

		
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

/////Arrastrando Valores

///$UsuAImp=strtoupper($_POST['USUkp']) or $UsuAImp=strtoupper($_GET['USUkp']);
$CompleEn=$_POST['txt_NoDoc'] or $CompleEn=$_GET['txt_NoDoc'];

class MiPDF extends FPDF {

		public function Header(){
		
		
			$this -> Image ("../../../WMS_Resources/images/Logo_Gris.png" , 10 , 10 , 30 ,15);
			$this -> SetFont ( 'Arial' , 'B', '12');
			$this -> SetTextColor (51 , 51 , 51);
			$this -> Cell ( 180, 10 , '|| Acuse de Recibo ||' , 0 , 0 , 'C');
			$this -> Ln ( 2 );
			$this -> SetFont ( 'Arial' , 'I', '10');
			$this -> Cell ( 180, 20 , 'www.logsyswms.com' , 0 , 0 , 'C');
			$this -> Ln ( 4 );
			$this -> SetTextColor (137 , 136 , 200);
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_______________________________________________________________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 3 );
			$this -> SetFont ( 'Arial' , '', '10');
			$this -> Cell ( 180, 20 , '_____________________________________________' , 0 , 0 , 'C');
			$this -> Ln ( 20 );
		}
		
	    function Footer(){
    		// Posición: a 2,0 cm del final
    		$this->SetY(-20);
    		// Arial italic 8
    		$this->SetFont('Arial','I',8);
    		// Número de página
    		$this->Cell(0,10,'© MsTechnologies - Pagina '.$this->PageNo().'/{nb}',0,0,'C');
		}
}

	$mipdf = new MiPDF();

	$mipdf -> AliasNbPages();
	$mipdf -> addPage();
	
//////////////////////////////////CONSULTAR LA TABLA DEL CONTRATANTE////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_contratante");
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNomContra=$registro["NOMBRE_FISCAL"];
		}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////CONSULTAR LA TABLA DE DOCUMENTOS////////////////////////////////////////////
		$sql = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$CompleEn'");
		if (mysql_numrows($sql)==0) 
		{
		echo "<script>alert('El documento complemento que ingresaste no existe');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RedireccionDeCierre.php'>";
		}
		else
		{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CDocu=$registro["NO_DOCUMENTO"];
		$CComple=$registro["NO_DOC_COMPLE"];
		$CProv=$registro["PROVEEDOR"];
		$CFeCierre=$registro["FECHA_CIE"];
		$CHoCierre=$registro["HORA_CIE"];
		$FYHEnca=$CFeCierre." - ".$CHoCierre;
		
		$TipAlmaF=$registro["TIPO_ALMACEN"];
		$PedimenF=$registro["PEDIMENTO"];
		$CtaCupoF=$registro["CARTA_CUPO"];
		$Refer_1=$registro["REFERENCIA_1"];
		$Refer_2=$registro["REFERENCIA_2"];
		
		$NAduanaF = substr($PedimenF, -13,2);///Devuelve la Clave de la Aduana
		}
		
		///Consultar Datos Generales
		$sql3 = mysql_query("select NOM_TIPOALMACEN from wms_configura_tipoalmacen where CVE_TIPOALMACEN='$TipAlmaF' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql3)==0) echo "";
		else{
		$registro3=mysql_fetch_array($sql3);
		}
		if (mysql_numrows($sql3)>0)
		{
		$NomTipAlm3=$registro3["NOM_TIPOALMACEN"];
		}
		
		$sql4 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas where CVE_ADUANA='$NAduanaF' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql4)==0) 
		{
		$NomAduana4 = "N/A";
		}
		else
		{
		$registro4=mysql_fetch_array($sql4);
		}
		if (mysql_numrows($sql4)>0)
		{
		$NomAduana4=$registro4["NOMBRE_ADUANA"];
		}
		
		$sql5 = mysql_query("select NOMBRE from tabla_proveedores where CVE_PROVEEDOR='$CProv' AND CVE_CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql5)==0) echo "";
		else{
		$registro5=mysql_fetch_array($sql5);
		}
		if (mysql_numrows($sql5)>0)
		{
		$NomProvee5=$registro5["NOMBRE"];
		}
		
		///Si no hay datos colocar N/A
		if ($PedimenF=="")
		{
			$PedimenF = "N/A";
		}
		if ($CtaCupoF=="")
		{
			$CtaCupoF = "N/A";
		}
		if ($NAduanaF=="")
		{
			$NAduanaF = "N/A";
		}
		
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////INFORMACIÓN PRINCIPAL////////////////////////////////////////////////////////////////
	
	
	$mipdf -> SetFont ( 'Courier' , '', '8');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'NOMBRE 3PL:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CNomContra, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'CUENTA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CtaSesionEn, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , '# DOCUMENTO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CDocu, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'TIPO DE ALMACÉN:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $TipAlmaF." - ".$NomTipAlm3, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'PEDIMENTO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $PedimenF, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'CARTA CUPO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CtaCupoF, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'ADUANA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $NAduanaF." - ".$NomAduana4, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 , 'PROVEEDOR:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $CProv." - ".$NomProvee5, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'FECHA:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $FYHEnca, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'REFERENCIA 1:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $Refer_1, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'REFERENCIA 2:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $Refer_2, 1 , 0 , 'L' , true );
	$mipdf -> Ln ( 3 );////////////////////////////////////////////////////////
	$mipdf -> SetFillColor ( 137 , 163 , 200 );
	$mipdf -> Cell ( 30 , 3 ,'USUARIO:', 1 , 0 , 'L' , true );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> Cell ( 90 , 3 , $UsuEn, 1 , 0 , 'L' , true );

	
//////////////////////////FIN INFORMACIÓN PRINCIPAL///////////////////////////////////////////////////////////			

	$mipdf -> Ln ( 10 );
	$mipdf -> SetFont ( 'Courier' , 'B', '6');
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> SetFillColor ( 137 , 163 , 200 );

	$mipdf -> Cell ( 6 , 3 , 'ID', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 24 , 3 , 'SKU', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 60 , 3 , 'DESCRIPCIÓN', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , 'REGISTRO', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , 'CIERRE', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , 'C.X.RECIBIR', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , 'C.RECIBIDA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 22 , 3 , 'LOTE', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 3 , 'FACTURA', 1 , 0 , 'C' , true );	
	$mipdf -> Ln ( 3 );


//$consulta = mysql_query ( "Select * FROM tabla_recibo WHERE NO_DOC_COMPLE='$CompleEn'" );
$consulta = mysql_query ( "SELECT tabla_recibo.ID, tabla_recibo.SKU, tabla_recibo.DESCRIPCION, tabla_recibo.CANT_XRECIBIR, tabla_recibo.CANT_RECIBIDA, tabla_recibo.LOTE, tabla_recibo.NO_FACTURA, tabla_documentos.FECHA_REG,tabla_documentos.FECHA_CIE FROM  tabla_documentos INNER JOIN tabla_recibo ON tabla_documentos.NO_DOC_COMPLE = tabla_recibo.NO_DOC_COMPLE WHERE tabla_recibo.NO_DOC_COMPLE='$CompleEn' AND tabla_recibo.CVE_CUENTA='$CveCueCR1' ORDER BY ID  ASC" );

$ID = "0";
while ( $datos = mysql_fetch_array( $consulta ) )
{
	$ID = $ID + 1;
	$SKU = $datos [ 'SKU' ];
	$DESC = $datos [ 'DESCRIPCION' ];
	$FRegi = $datos [ 'FECHA_REG' ];
	$FCie = $datos [ 'FECHA_CIE' ];
	$CxRECIBIR = $datos [ 'CANT_XRECIBIR' ];
	$CRECIBIDA = $datos [ 'CANT_RECIBIDA' ];
	$LOTE = $datos [ 'LOTE' ];
	$FACTURA = $datos [ 'NO_FACTURA' ];
	
	$mipdf -> SetFont ( 'Courier' , '', '7');
	$mipdf -> SetTextColor (51 , 51 , 51 );
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	
	$mipdf -> Cell ( 6 , 3 , $ID , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 24 , 3 , $SKU , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 60 , 3 , $DESC , 1 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , $FRegi , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , $FCie , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , $CxRECIBIR , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , $CRECIBIDA , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 22 , 3 , $LOTE , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 3 , $FACTURA , 1 , 0 , 'C' , true );
	$mipdf -> Ln ( 3 );
}
		/////////////////////CONSULTA PARA SUMAR EL TOTAL DE PIEZAS POR RECIBIR/////////////////////////////////////////////////////
		$sqlSUMA = "SELECT SUM(CANT_XRECIBIR) as ObtCant FROM tabla_recibo where NO_DOC_COMPLE='$CompleEn'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotPiezas = "T:". $PrePiezas ['ObtCant']; 
		
		/////////////////////CONSULTA PARA SUMAR EL TOTAL DE PIEZAS RECIBIDAS/////////////////////////////////////////////////////
		$sqlSUMA2 = "SELECT SUM(CANT_RECIBIDA) as ObtCant2 FROM tabla_recibo where NO_DOC_COMPLE='$CompleEn'";
		$resSUMA2 = mysql_query($sqlSUMA2); 
		$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
		$TotPiezas2 = "T:". $PrePiezas2 ['ObtCant2']; 

	$mipdf -> Ln ( 0 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 189 , 207 , 233 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	$TDC= "Total: ".$ID;
	$mipdf -> Cell ( 6 , 3 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 24 , 3 , $TDC, 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 60 , 3 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , '' , 0 , 0 , 'L' , true );
	$mipdf -> Cell ( 16 , 3 , $TotPiezas , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 16 , 3 , $TotPiezas2 , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 22 , 3 , '' , 0 , 0 , 'C' , true );
	$mipdf -> Cell ( 15 , 3 , '' , 0 , 0 , 'C' , true );

//////////////////////IMPRIME EL AREA DE FIRMAS///////////////////////////////////////////////////////////////////////////
	$mipdf -> Ln ( 20 );
	$mipdf -> SetFont ( 'Courier' , 'B', '8');
	$mipdf -> SetFillColor ( 255 , 255 , 255 );
	$mipdf -> SetTextColor (51 , 51 , 51);
	$mipdf -> Cell ( 47 , 3 , 'RECIBE' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'AUTORIZA', 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'TRANSPORTISTA' , 1 , 0 , 'C' , true );
	$mipdf -> Cell ( 47 , 3 , 'VIGILANCIA' , 1 , 0 , 'C' , true );
	
	$mipdf -> SetTextColor (0 , 0 , 0);
	
$mipdf -> Output();

?>
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>